Ticket change [1f8152cad9] (rid 2220) by anonymous on 2016-07-16 13:53:50:
- Change comment to:
tk/win/configure now errors if it can't find a cross-compiler, causing kitcreator to give up.
--- tk/build.sh
+++ tk/build.sh
@@ -200,14 +200,14 @@
fi
fi
if [ "${STATICTK}" = "1" ]; then
echo "Running: ./configure --disable-shared --disable-symbols --prefix=\"${INSTDIR}\" --libdir=\"${INSTDIR}/lib\" --with-tcl=\"${TCLCONFIGDIR}\" ${CONFIGUREEXTRA}"
- ./configure --disable-shared --disable-symbols --prefix="${INSTDIR}" --libdir="${INSTDIR}/lib" --with-tcl="${TCLCONFIGDIR}" ${CONFIGUREEXTRA}
+ ./configure --disable-shared --disable-symbols --prefix="${INSTDIR}" --libdir="${INSTDIR}/lib" --with-tcl="${TCLCONFIGDIR}" ${CONFIGUREEXTRA} || continue
else
echo "Running: ./configure --enable-shared --disable-symbols --prefix=\"${INSTDIR}\" --libdir=\"${INSTDIR}/lib\" --with-tcl=\"${TCLCONFIGDIR}\" ${CONFIGUREEXTRA}"
- ./configure --enable-shared --disable-symbols --prefix="${INSTDIR}" --libdir="${INSTDIR}/lib" --with-tcl="${TCLCONFIGDIR}" ${CONFIGUREEXTRA}
+ ./configure --enable-shared --disable-symbols --prefix="${INSTDIR}" --libdir="${INSTDIR}/lib" --with-tcl="${TCLCONFIGDIR}" ${CONFIGUREEXTRA} || continue
fi
echo "Running: ${MAKE:-make}"
${MAKE:-make} || (
# Workaround a bug in Tk on FreeBSD 8.1: - Change foundin to "trunk"
- Change login to "anonymous"
- Change private_contact to "cb02a4a25e8da92f2790bc307bf01ef24ce6053e"
- Change severity to "Important"
- Change status to "Open"
- Change title to:
build tk on unix even when no cross-compiler installed
- Change type to "Code Defect"
- Change comment to:
Ticket change [e7feb04566] (rid 2310) by rkeene on 2016-09-07 14:15:26:
- Change icomment to "Applied, thanks !"
- Change login to "rkeene"
- Change mimetype to "text/x-fossil-plain"
- Change priority to "Immediate"
- Change resolution to "Fixed"
- Change status to "Fixed"
- Change subsystem to "Tcl"